FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 04-25-2011, 08:29 AM
Ondřej Surý
 
Default Berkeley DB plan for future

Hi,

if your package depends on libdbX.Y you probably want to at least look at it:

http://wiki.debian.org/BerkeleyDB
http://wiki.debian.org/ReleaseGoals/BerkeleyDB

O.
[Please discuss in pkg-db-devel, or at least Cc me, I am not
subscribed to debian-devel]
--
Ondřej Surý <ondrej@sury.org>


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: BANLkTinuTXC21gm=rp1BE6K7mG7z15TwZQ@mail.gmail.com ">http://lists.debian.org/BANLkTinuTXC21gm=rp1BE6K7mG7z15TwZQ@mail.gmail.com
 
Old 04-26-2011, 06:06 AM
Olivier Berger
 
Default Berkeley DB plan for future

Hi.

Le lundi 25 avril 2011 * 10:29 +0200, Ondřej Surý a écrit :
> Hi,
>
> if your package depends on libdbX.Y you probably want to at least look at it:
>
> http://wiki.debian.org/BerkeleyDB
> http://wiki.debian.org/ReleaseGoals/BerkeleyDB
>

Why not interlinking these 2 pages ?

> O.
> [Please discuss in pkg-db-devel, or at least Cc me, I am not
> subscribed to debian-devel]

Maybe a list of such rdepends package + maintainers would help.

My 2 cents,

--
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1303797963.16435.1.camel@inf-8657.int-evry.fr">http://lists.debian.org/1303797963.16435.1.camel@inf-8657.int-evry.fr
 
Old 04-26-2011, 07:04 AM
Ondřej Surý
 
Default Berkeley DB plan for future

On Tue, Apr 26, 2011 at 08:06, Olivier Berger
<olivier.berger@it-sudparis.eu> wrote:
> Hi.
>
> Le lundi 25 avril 2011 * 10:29 +0200, Ondřej Surý a écrit :
>> Hi,
>>
>> if your package depends on libdbX.Y you probably want to at least look at it:
>>
>> http://wiki.debian.org/BerkeleyDB
>> http://wiki.debian.org/ReleaseGoals/BerkeleyDB
>>
>
> Why not interlinking these 2 pages ?

Done.

>> O.
>> [Please discuss in pkg-db-devel, or at least Cc me, I am not
>> subscribed to debian-devel]
>
> Maybe a list of such rdepends package + maintainers would help.

Packages are listed on transition tracking page and tagged with db5.1
bug. I have added those two links to to the /BerkeleyDB page (the
ReleaseGoals page already have them).

I could create script to list affected maintainers, but I don't feel
it's necessary right now.

O.
--
Ondřej Surý <ondrej@sury.org>


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: BANLkTim7XkJZiZWd2RESg7-AEuoSYSbW+Q@mail.gmail.com">http://lists.debian.org/BANLkTim7XkJZiZWd2RESg7-AEuoSYSbW+Q@mail.gmail.com
 
Old 04-26-2011, 07:33 AM
Neil Williams
 
Default Berkeley DB plan for future

On Tue, 26 Apr 2011 09:04:32 +0200
Ondřej Surý <ondrej@sury.org> wrote:

> > Maybe a list of such rdepends package + maintainers would help.
>
> Packages are listed on transition tracking page and tagged with db5.1
> bug. I have added those two links to to the /BerkeleyDB page (the
> ReleaseGoals page already have them).
>
> I could create script to list affected maintainers, but I don't feel
> it's necessary right now.

If you have a simple list of package names, dd-list will do the rest -
part of the devscripts package. Somewhere in the data behind that
transition page is just such a list. Simply exporting that list -
possibly as a series of lines for each category of issues - would be
useful.

--


Neil Williams
=============
http://www.linux.codehelp.co.uk/
 
Old 04-26-2011, 12:35 PM
Ondřej Surý
 
Default Berkeley DB plan for future

So I have created list of affected packages (thanks to Neil Williams
for hinting dd-list), there are four lists:

1. Build-Depends on libdb[45]..*-dev
http://wiki.debian.org/BerkeleyDB/Build-Depends

2. Depends
http://wiki.debian.org/BerkeleyDB/Depends

3. Depends - Build-Depends (aka indirect dependency)
http://wiki.debian.org/BerkeleyDB/IndirectDepends

4. Build-Depends - Depends (aka invalid listing in Build-Depends)
http://wiki.debian.org/BerkeleyDB/InvalidBuild-Depends

Packages in list 4 should be fixed because it means either one of:

1. The Build-Depends listing is erroneous (f.e. upstream dropped
support for Berkeley DB)
2. The build process is broken (f.e. aka doesn't recognize libdb5.1)
and needs fixing.

O.
--
Ondřej Surý <ondrej@sury.org>


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: BANLkTi=TSgKNMZmihC4SiTf3YubbmKd8Dw@mail.gmail.com ">http://lists.debian.org/BANLkTi=TSgKNMZmihC4SiTf3YubbmKd8Dw@mail.gmail.com
 
Old 04-26-2011, 06:11 PM
Petr Salinger
 
Default Berkeley DB plan for future

4. Build-Depends - Depends (aka invalid listing in Build-Depends)
http://wiki.debian.org/BerkeleyDB/InvalidBuild-Depends



Packages in list 4 should be fixed because it means either one of:



1. The Build-Depends listing is erroneous (f.e. upstream dropped
support for Berkeley DB)
2. The build process is broken (f.e. aka doesn't recognize libdb5.1)
and needs fixing.


Or they are correct as they really use Berkeley DB
only during build time.

It is the case at least for kfreebsd-*.

Petr


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: alpine.LRH.2.02.1104262002170.9977@sci.felk.cvut.c z">http://lists.debian.org/alpine.LRH.2.02.1104262002170.9977@sci.felk.cvut.c z
 
Old 04-27-2011, 06:16 PM
Henrique de Moraes Holschuh
 
Default Berkeley DB plan for future

On Tue, 26 Apr 2011, Ondřej Surý wrote:
> 4. Build-Depends - Depends (aka invalid listing in Build-Depends)
> http://wiki.debian.org/BerkeleyDB/InvalidBuild-Depends
>
> Packages in list 4 should be fixed because it means either one of:
>
> 1. The Build-Depends listing is erroneous (f.e. upstream dropped
> support for Berkeley DB)
> 2. The build process is broken (f.e. aka doesn't recognize libdb5.1)
> and needs fixing.

3. needs bdb during build to do something, but the build product doesn't
use bdb? Should be rare, though.

--
"One disk to rule them all, One disk to find them. One disk to bring
them all and in the darkness grind them. In the Land of Redmond
where the shadows lie." -- The Silicon Valley Tarot
Henrique Holschuh


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110427181627.GC7102@khazad-dum.debian.net">http://lists.debian.org/20110427181627.GC7102@khazad-dum.debian.net
 
Old 04-27-2011, 08:05 PM
Ondřej Surý
 
Default Berkeley DB plan for future

True, it was already pointed that kfreebsd* is the rare case. s/fixed/checked/ in my previous text and attach your bullet.

Ondřej Surý

On 27.4.2011, at 20:16, Henrique de Moraes Holschuh <hmh@debian.org> wrote:

> On Tue, 26 Apr 2011, Ondřej Surý wrote:
>> 4. Build-Depends - Depends (aka invalid listing in Build-Depends)
>> http://wiki.debian.org/BerkeleyDB/InvalidBuild-Depends
>>
>> Packages in list 4 should be fixed because it means either one of:
>>
>> 1. The Build-Depends listing is erroneous (f.e. upstream dropped
>> support for Berkeley DB)
>> 2. The build process is broken (f.e. aka doesn't recognize libdb5.1)
>> and needs fixing.
>
> 3. needs bdb during build to do something, but the build product doesn't
> use bdb? Should be rare, though.
>
> --
> "One disk to rule them all, One disk to find them. One disk to bring
> them all and in the darkness grind them. In the Land of Redmond
> where the shadows lie." -- The Silicon Valley Tarot
> Henrique Holschuh


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: B5E05133-AFCB-4DBB-A8A8-B3F6B32BD432@sury.org">http://lists.debian.org/B5E05133-AFCB-4DBB-A8A8-B3F6B32BD432@sury.org
 

Thread Tools




All times are GMT. The time now is 03:36 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org